صناديق بريد SMTP
إنشاء صندوق بريد
ينشئ صندوق بريد عميل دون إرجاع كلمة مروره.
POST
/
v1
/
public
/
accounts
/
{account_id}
/
mailboxes
إنشاء صندوق بريد
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/mailboxes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"local_part": "<string>"
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/mailboxes"
payload = {
"domain": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"local_part": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
domain: '<string>',
first_name: '<string>',
last_name: '<string>',
local_part: '<string>'
})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/mailboxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "<string>",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_name": "<string>",
"first_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_name": "<string>",
"local_part": "<string>",
"primary_email": "<string>",
"quota": {
"allowed": 123,
"used": 123
},
"status": "<string>",
"updated_at": "<string>",
"aliases": [
{
"alias": "<string>",
"is_catch_all": false
}
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_name": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}التفويضات
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
معلمات المسار
الجسم
application/json
الاستجابة
الطابع الزمني لإنشاء صندوق البريد
المجال UUID لصندوق البريد
اسم المجال لصندوق البريد
الاسم الأول لمستخدم صندوق البريد
صندوق البريد UUID
الاسم الأخير لمستخدم صندوق البريد
الجزء المحلي لصندوق البريد قبل علامة التوقيع
عنوان البريد الإلكتروني لصندوق البريد الأساسي
حالة دورة حياة صندوق البريد
الطابع الزمني لآخر تحديث لصندوق البريد
مساحة العمل UUID لصندوق البريد
اسم عرض مساحة العمل
هل كانت هذه الصفحة مفيدة؟
⌘I
إنشاء صندوق بريد
